

def create_query_using_attributes_txt(meta_data, query):
    data = meta_data.split("//")
    if len(data) < 3:
        return "NO DATA"
    authors, title, biblographic = data[0].split(" ")[1], data[1], data[2]
    query["query.author"] = authors
    query["query.bibliographic"] = biblographic
    query["query.title"] = title


def parse_txt(txt_data,parser):
    query = {}
    output = []
    books = str(txt_data,"utf-8").split('\n')
    for book in books:
        if create_query_using_attributes_txt(book, query) == "NO DATA":
            query = {}
            continue
       
        identifier = parser(query)

        output.append({
            "author": query["query.author"],
            "title": query["query.title"],
            "bibliographic": query["query.bibliographic"],
        } | identifier)
        query = {}
    return output